> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all runner instances

GET https://api.getpostman.com/runners/{runnerId}/instances

Gets all instances of the runner polling Postman for upcoming monitor runs. Instances are runner executions that share the same runner ID and key.

**Note:**

You can get a runner's ID in the Postman UI if you have an Admin or Super Admin role. To do this, click **Team > Team Settings** in Postman, then click **Runners**. Click the runner you want to get the ID of, then copy its ID from the URL.


Reference: https://learning.postman.com/api-docs/api-reference/monitors/get-runner-instances

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /runners/{runnerId}/instances:
    get:
      operationId: getRunnerInstances
      summary: Get all runner instances
      description: >
        Gets all instances of the runner polling Postman for upcoming monitor
        runs. Instances are runner executions that share the same runner ID and
        key.


        **Note:**


        You can get a runner's ID in the Postman UI if you have an Admin or
        Super Admin role. To do this, click **Team > Team Settings** in Postman,
        then click **Runners**. Click the runner you want to get the ID of, then
        copy its ID from the URL.
      tags:
        - monitors
      parameters:
        - name: runnerId
          in: path
          description: The runner's ID.
          required: true
          schema:
            $ref: '#/components/schemas/runnerId'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 25. Any value greater than 25 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault25'
            default: 25
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getRunnerInstances'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/runnerErrorTypeTitleDetailCreatedAt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetRunnerInstancesRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunnerInstancesRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/runnerErrorTypeTitleDetailCreatedAt'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    runnerId:
      type: string
      title: runnerId
    limitDefault25:
      type: integer
      default: 25
      title: limitDefault25
    cursor:
      type: string
      title: cursor
    runnerMeta:
      type: object
      properties:
        model:
          type: string
          description: The `runnerInstance` value.
        action:
          type: string
          description: The `find` value.
        url:
          type: string
          format: uri-reference
          description: The reference URL to the resource.
        nextCursor:
          type: string
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      description: The response's meta information for paginated results.
      title: runnerMeta
    runnerInstance:
      type: object
      properties:
        id:
          type: string
          description: The runner instance's ID.
        hostname:
          type: string
          description: The hostname of the machine where the runner instance is running.
        uniqueId:
          type: string
          description: The runner instance's unique ID.
        cliVersion:
          type: string
          description: >-
            The version of the [Postman
            CLI](https://learning.postman.com/docs/postman-cli/postman-cli-overview/)
            used to start the runner instance.
        osType:
          type: string
          description: >-
            The operating system of the machine where the runner instance is
            running.
        runnerId:
          type: string
          description: The runner's ID.
        lastPingedAt:
          type: string
          format: date-time
          description: >-
            The last date and time the runner instance sent results to the
            Postman cloud.
      description: Information about the runner instance.
      title: runnerInstance
    getRunnerInstances:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/runnerMeta'
        data:
          type: array
          items:
            $ref: '#/components/schemas/runnerInstance'
          description: A list of all runner instances.
      title: getRunnerInstances
    runnerErrorTypeTitleDetailCreatedAt:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        createdAt:
          type: string
          description: The date and time at which the error occurred.
      title: runnerErrorTypeTitleDetailCreatedAt
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetRunnerInstancesRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetRunnerInstancesRequestUnauthorizedError
    GetRunnerInstancesRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetRunnerInstancesRequestForbiddenError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "meta": {
    "model": "runnerInstance",
    "action": "find",
    "url": "https://testing.example.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"
  },
  "data": [
    {
      "id": "Rtesting-78b4f9c59c-5c7mx|b5862804ba|1.23.0|Linux",
      "hostname": "testing-78b4f9c59c-5c7mx",
      "uniqueId": "b5862804ba",
      "cliVersion": "1.23.0",
      "osType": "Linux",
      "runnerId": "1f08d6ba-c377-4ca0-be80-af81daf8fef9",
      "lastPingedAt": "2025-11-06T14:59:53.000Z"
    },
    {
      "id": "Rtesting-78b4f9c59c-bdjdr|f1b9f8f94a|1.23.0|Linux",
      "hostname": "testing-78b4f9c59c-bdjdr",
      "uniqueId": "f1b9f8f94a",
      "cliVersion": "1.23.0",
      "osType": "Linux",
      "runnerId": "1f08d6ba-c377-4ca0-be80-af81daf8fef9",
      "lastPingedAt": "2025-11-06T15:30:51.000Z"
    },
    {
      "id": "Rtesting-78b4f9c59c-g85wn|b35d23de98|1.23.0|Linux",
      "hostname": "testing-78b4f9c59c-g85wn",
      "uniqueId": "b35d23de98",
      "cliVersion": "1.23.0",
      "osType": "Linux",
      "runnerId": "1f08d6ba-c377-4ca0-be80-af81daf8fef9",
      "lastPingedAt": "2025-11-06T15:33:35.000Z"
    },
    {
      "id": "Rtesting-78b4f9c59c-shf48|cd40b93f88|1.23.0|Linux",
      "hostname": "testing-78b4f9c59c-shf48",
      "uniqueId": "cd40b93f88",
      "cliVersion": "1.23.0",
      "osType": "Linux",
      "runnerId": "1f08d6ba-c377-4ca0-be80-af81daf8fef9",
      "lastPingedAt": "2025-11-06T15:33:35.000Z"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response with Limit and Cursor



**Response**

```json
{
  "meta": {
    "model": "runnerInstance",
    "action": "find",
    "url": "https://testing.example.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances?limit=1",
    "nextCursor": "2NMbfiEAxQcpbmTFnmfQw7jV83WCRxjFxCwipofDVfn83ac16idLnRngzvpj4VNR5GsufwXVFrWX59iLNdV7CEriGGCutycbRD1smGoWV9F5GMLGs59mGQX5hnmnhsvxDLYt1kaJgkZYk6fs9oxoaqLvLbRSQb4LyBn4vkTh1T6Xvt1c8Pe9SPR2xJ5y3fPe6judViwg1CPLJbDdRNFZ6GJ8qDp26hJE8ZPTwoYrj"
  },
  "data": [
    {
      "id": "Rtesting-78b4f9c59c-5c7mx|b5862804ba|1.23.0|Linux",
      "hostname": "testing-78b4f9c59c-5c7mx",
      "uniqueId": "b5862804ba",
      "cliVersion": "1.23.0",
      "osType": "Linux",
      "runnerId": "1f08d6ba-c377-4ca0-be80-af81daf8fef9",
      "lastPingedAt": "2025-11-06T14:59:53.000Z"
    }
  ]
}
```

**SDK Code**

```python Response with Limit and Cursor
import requests

url = "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response with Limit and Cursor
const url = 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response with Limit and Cursor
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response with Limit and Cursor
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response with Limit and Cursor
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Response with Limit and Cursor
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response with Limit and Cursor
using RestSharp;

var client = new RestClient("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response with Limit and Cursor
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### No Runner Data



**Response**

```json
{
  "meta": {
    "model": "runnerInstance",
    "action": "find",
    "url": "https://testing.example.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"
  },
  "data": []
}
```

**SDK Code**

```python No Runner Data
import requests

url = "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript No Runner Data
const url = 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go No Runner Data
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby No Runner Data
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java No Runner Data
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php No Runner Data
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp No Runner Data
using RestSharp;

var client = new RestClient("https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift No Runner Data
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/runners/1f08d6ba-c377-4ca0-be80-af81daf8fef9/instances")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```